/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2020(by Qihang Feng, QF255001@TERADATA.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :t01_livechat_record(即时聊天记录)             */
/*Create Date:2024-03-28 17:30:56                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2023-12-26                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2024-03-28                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: p10_sa.s98_s_livechat                                                            */
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:t01_livechat_record                                                                 */
/*ETL Job Name:t01_livechat_record                                                                 */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:F2                                                                                    */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE t01_livechat_record_agi_CUR_I 
 ( LIKE :PDMDB.t01_livechat_record)
ON COMMIT PRESERVE ROWS;



/*创建临时表加载不同数据                                                                           */
CREATE TEMPORARY TABLE t01_livechat_record_agi_INS 
( LIKE :PDMDB.t01_livechat_record)
ON COMMIT PRESERVE ROWS;

            
/*****************************************************************************************************/
/* GROUP 1:Source Table:s98_s_livechat****************************************************************/
/*****************************************************************************************************/
INSERT INTO t01_livechat_record_agi_CUR_I (
            livechat_leads_id                       /*livechat线索编号*/
           ,chat_creation_time                      /*聊天创建时间*/
           ,chat_start_time                         /*聊天开始时间*/
           ,chat_start_url                          /*聊天开始url*/
           ,chat_referrer_url                       /*聊天上级url*/
           ,chat_duration                           /*聊天持续时长*/
           ,queue_duration                          /*排队时长*/
           ,visitor_livechat_id                     /*访客聊天编号*/
           ,visitor_nick                            /*访客昵称*/
           ,visitor_ip                              /*访客IP*/
           ,visitor_email                           /*访客邮箱*/
           ,last_operator_id                        /*最后操作者*/
           ,group_id                                /*责任组编号*/
           ,group_name                              /*责任组名称*/
           ,rate                                    /*评价*/
           ,rate_comment                            /*评价描述*/
           ,operator_1_nick                         /*操作者1昵称*/
           ,operator_2_nick                         /*操作者2昵称*/
           ,operator_3_nick                         /*操作者3昵称*/
           ,operator_4_nick                         /*操作者4昵称*/
           ,operator_5_nick                         /*操作者5昵称*/
           ,operator_6_nick                         /*操作者6昵称*/
           ,operator_7_nick                         /*操作者7昵称*/
           ,operator_8_nick                         /*操作者8昵称*/
           ,operator_9_nick                         /*操作者9昵称*/
           ,operator_10_nick                        /*操作者10昵称*/
           ,operator_11_nick                        /*操作者11昵称*/
           ,operator_1_id                           /*操作者1编号*/
           ,operator_2_id                           /*操作者2编号*/
           ,operator_3_id                           /*操作者3编号*/
           ,operator_4_id                           /*操作者4编号*/
           ,operator_5_id                           /*操作者5编号*/
           ,operator_6_id                           /*操作者6编号*/
           ,operator_7_id                           /*操作者7编号*/
           ,operator_8_id                           /*操作者8编号*/
           ,operator_9_id                           /*操作者9编号*/
           ,operator_10_id                          /*操作者10编号*/
           ,operator_11_id                          /*操作者11编号*/
           ,operator_1_time_zone                    /*操作者1时区*/
           ,operator_2_time_zone                    /*操作者2时区*/
           ,operator_3_time_zone                    /*操作者3时区*/
           ,operator_4_time_zone                    /*操作者4时区*/
           ,operator_5_time_zone                    /*操作者5时区*/
           ,operator_6_time_zone                    /*操作者6时区*/
           ,operator_7_time_zone                    /*操作者7时区*/
           ,operator_8_time_zone                    /*操作者8时区*/
           ,operator_9_time_zone                    /*操作者9时区*/
           ,operator_10_time_zone                   /*操作者10时区*/
           ,operator_11_time_zone                   /*操作者11时区*/
           ,pre_chat_service                        /*需要服务类型*/
           ,pre_chat_name                           /*姓名*/
           ,pre_chat_contact                        /*联系方式*/
           ,pre_chat_email                          /*邮箱*/
           ,pre_chat_company                        /*公司名*/
           ,pre_chat_service_t                      /*需要服务类型(繁体)*/
           ,pre_chat_email_t                        /*邮箱（繁体）*/
           ,pre_chat_contact_t                      /*联系方式(繁体）*/
           ,pre_chat_company_t                      /*公司名（繁体）*/
           ,pre_chat_name_j                         /*姓名（日文）*/
           ,pre_chat_email_j                        /*邮箱（日文）*/
           ,pre_chat_private_policy                 /*同意隐私政策标志*/
           ,pre_chat_know_policy                    /*同意数据境外传输标志*/
           ,pre_chat_agree_policy                   /*同意收集数据标志*/
           ,pre_chat_agree_policy_k                 /*同意收集数据标志(韩语)*/
           ,pre_chat_agree_for_sale                 /*同意数据用于营销标志*/
           ,pre_chat_company_k                      /*公司（韩语）*/
           ,pre_chat_name_k                         /*姓名（韩语）*/
           ,pre_chat_contact_k                      /*联系方式（韩语）*/
           ,pre_chat_email_k                        /*邮箱（韩语）*/
           ,pre_chat_service_k                      /*需要服务类型（韩语）*/
           ,pre_chat_contact_2                      /*联系方式2*/
           ,pre_chat_contact_3                      /*联系方式3*/
           ,post_chat_first                         /*第一次聊天标志*/
           ,post_chat_where_chat                    /*聊天来源*/
           ,post_chat_help                          /*问题解决标志*/
           ,post_chat_where_2                       /*聊天来源2*/
           ,post_chat_first_j                       /*第一次聊天标志（日语）*/
           ,post_chat_help_j                        /*问题解决标志（日语）*/
           ,post_chat_message_j                     /*聊天信息*/
           ,auto_invite_url                         /*自动邀请网址*/
           ,auto_invite_action                      /*自动邀请事件*/
           ,goal_action_name                        /*目标事件名称*/
           ,goal_done_by                            /*目标完成人*/
           ,goal_done_time                          /*目标完成时间*/
           ,tag_1                                   /*标签1*/
           ,tag_2                                   /*标签2*/
           ,tag_3                                   /*标签3*/
           ,tag_4                                   /*标签4*/
           ,tag_5                                   /*标签5*/
           ,cust_var_1_name                         /*客户参数1名称*/
           ,cust_var_1_value                        /*客户参数1值*/
           ,first_response_time                     /*首次相应时间*/
           ,average_response_time                   /*平均响应时间*/
           ,agents_chatting_duration                /*坐席聊天时长*/
           ,visitor_user_agent                      /*访问者代理*/
           ,group_status_at_start                   /*开始时组状态*/
           ,visitor_country_code                    /*访客国家代码*/
           ,Etl_Batch_No                            /*作业批次号*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
        )
SELECT
         COALESCE(TRIM(CAST(p0.conference_id AS varchar(20))),'')        /*livechat_leads_id*/
        ,COALESCE(TO_TIMESTAMP(CAST(p0.chat_creation_date AS VARCHAR(19)),'YYYY-MM-DD HH24:mi:ss'),TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*chat_creation_time*/
        ,COALESCE(TO_TIMESTAMP(CAST(p0.chat_start_date AS VARCHAR(19)),'YYYY-MM-DD HH24:mi:ss'),TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*chat_start_time*/
        ,COALESCE(TRIM(p0.chat_start_url),'')                      /*chat_start_url*/
        ,COALESCE(TRIM(p0.referrer),'')                            /*chat_referrer_url*/
        ,COALESCE(CAST(replace(p0.chat_duration,'.0','') AS int),0)        /*chat_duration*/
        ,COALESCE(CAST(replace(p0.queue_duration,'.0','') AS int),0)        /*queue_duration*/
        ,COALESCE(TRIM(CAST(p0.visitor_livechat_id AS varchar(100))),'')        /*visitor_livechat_id*/
        ,COALESCE(TRIM(CAST(p0.visitor_nick AS varchar(50))),'')        /*visitor_nick*/
        ,COALESCE(TRIM(CAST(p0.visitor_ip AS varchar(20))),'')        /*visitor_ip*/
        ,COALESCE(TRIM(CAST(p0.visitor_email AS varchar(50))),'')        /*visitor_email*/
        ,COALESCE(TRIM(CAST(p0.last_operator_id AS varchar(50))),'')        /*last_operator_id*/
        ,COALESCE(TRIM(CAST(p0.group_id AS varchar(100))),'')        /*group_id*/
        ,COALESCE(TRIM(CAST(p0.group_name AS varchar(100))),'')        /*group_name*/
        ,COALESCE(TRIM(CAST(p0.rate AS varchar(20))),'')           /*rate*/
        ,COALESCE(TRIM(p0.last_rate_comment),'')                   /*rate_comment*/
        ,COALESCE(TRIM(CAST(p0.operator_1_nick AS varchar(50))),'')        /*operator_1_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_2_nick AS varchar(50))),'')        /*operator_2_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_3_nick AS varchar(50))),'')        /*operator_3_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_4_nick AS varchar(50))),'')        /*operator_4_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_5_nick AS varchar(50))),'')        /*operator_5_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_6_nick AS varchar(50))),'')        /*operator_6_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_7_nick AS varchar(50))),'')        /*operator_7_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_8_nick AS varchar(50))),'')        /*operator_8_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_9_nick AS varchar(50))),'')        /*operator_9_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_10_nick AS varchar(50))),'')        /*operator_10_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_11_nick AS varchar(50))),'')        /*operator_11_nick*/
        ,COALESCE(TRIM(CAST(p0.operator_1_id AS varchar(50))),'')        /*operator_1_id*/
        ,COALESCE(TRIM(CAST(p0.operator_2_id AS varchar(50))),'')        /*operator_2_id*/
        ,COALESCE(TRIM(CAST(p0.operator_3_id AS varchar(50))),'')        /*operator_3_id*/
        ,COALESCE(TRIM(CAST(p0.operator_4_id AS varchar(50))),'')        /*operator_4_id*/
        ,COALESCE(TRIM(CAST(p0.operator_5_id AS varchar(50))),'')        /*operator_5_id*/
        ,COALESCE(TRIM(CAST(p0.operator_6_id AS varchar(50))),'')        /*operator_6_id*/
        ,COALESCE(TRIM(CAST(p0.operator_7_id AS varchar(50))),'')        /*operator_7_id*/
        ,COALESCE(TRIM(CAST(p0.operator_8_id AS varchar(50))),'')        /*operator_8_id*/
        ,COALESCE(TRIM(CAST(p0.operator_9_id AS varchar(50))),'')        /*operator_9_id*/
        ,COALESCE(TRIM(CAST(p0.operator_10_id AS varchar(50))),'')        /*operator_10_id*/
        ,COALESCE(TRIM(CAST(p0.operator_11_id AS varchar(50))),'')        /*operator_11_id*/
        ,COALESCE(TRIM(CAST(p0.operator_1_time_zone AS varchar(20))),'')        /*operator_1_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_2_time_zone AS varchar(20))),'')        /*operator_2_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_3_time_zone AS varchar(20))),'')        /*operator_3_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_4_time_zone AS varchar(20))),'')        /*operator_4_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_5_time_zone AS varchar(20))),'')        /*operator_5_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_6_time_zone AS varchar(20))),'')        /*operator_6_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_7_time_zone AS varchar(20))),'')        /*operator_7_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_8_time_zone AS varchar(20))),'')        /*operator_8_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_9_time_zone AS varchar(20))),'')        /*operator_9_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_10_time_zone AS varchar(20))),'')        /*operator_10_time_zone*/
        ,COALESCE(TRIM(CAST(p0.operator_11_time_zone AS varchar(20))),'')        /*operator_11_time_zone*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_service AS varchar(50))),'')        /*pre_chat_service*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_name AS varchar(20))),'')        /*pre_chat_name*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_contact AS varchar(20))),'')        /*pre_chat_contact*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_email AS varchar(50))),'')        /*pre_chat_email*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_company AS varchar(50))),'')        /*pre_chat_company*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_service_t AS varchar(50))),'')        /*pre_chat_service_t*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_email_t AS varchar(50))),'')        /*pre_chat_email_t*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_contact_t AS varchar(20))),'')        /*pre_chat_contact_t*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_company_t AS varchar(50))),'')        /*pre_chat_company_t*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_name_j AS varchar(20))),'')        /*pre_chat_name_j*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_email_j AS varchar(50))),'')        /*pre_chat_email_j*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_private_policy AS varchar(10))),'')        /*pre_chat_private_policy*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_know_policy AS varchar(10))),'')        /*pre_chat_know_policy*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_agree_policy AS varchar(10))),'')        /*pre_chat_agree_policy*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_agree_policy_k AS varchar(10))),'')        /*pre_chat_agree_policy_k*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_agree_for_sale AS varchar(10))),'')        /*pre_chat_agree_for_sale*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_company_k AS varchar(50))),'')        /*pre_chat_company_k*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_name_k AS varchar(20))),'')        /*pre_chat_name_k*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_contact_k AS varchar(20))),'')        /*pre_chat_contact_k*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_email_k AS varchar(50))),'')        /*pre_chat_email_k*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_service_k AS varchar(20))),'')        /*pre_chat_service_k*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_contact_2 AS varchar(20))),'')        /*pre_chat_contact_2*/
        ,COALESCE(TRIM(CAST(p0.pre_chat_contact_3 AS varchar(20))),'')        /*pre_chat_contact_3*/
        ,COALESCE(TRIM(CAST(p0.post_chat_first AS varchar(10))),'')        /*post_chat_first*/
        ,COALESCE(TRIM(CAST(p0.post_chat_where_chat AS varchar(50))),'')        /*post_chat_where_chat*/
        ,COALESCE(TRIM(CAST(p0.post_chat_help AS varchar(10))),'')        /*post_chat_help*/
        ,COALESCE(TRIM(CAST(p0.post_chat_where_2 AS varchar(50))),'')        /*post_chat_where_2*/
        ,COALESCE(TRIM(CAST(p0.post_chat_first_j AS varchar(10))),'')        /*post_chat_first_j*/
        ,COALESCE(TRIM(CAST(p0.post_chat_help_j AS varchar(10))),'')        /*post_chat_help_j*/
        ,COALESCE(TRIM(p0.post_chat_message_j),'')                 /*post_chat_message_j*/
        ,COALESCE(TRIM(CAST(p0.auto_invite_url AS varchar(50))),'')        /*auto_invite_url*/
        ,COALESCE(TRIM(CAST(p0.auto_invite_action AS varchar(50))),'')        /*auto_invite_action*/
        ,COALESCE(TRIM(CAST(p0.goal_action_name AS varchar(50))),'')        /*goal_action_name*/
        ,COALESCE(TRIM(CAST(p0.goal_done_by AS varchar(50))),'')        /*goal_done_by*/
        ,COALESCE(TO_TIMESTAMP(CAST(p0.goal_done_date AS VARCHAR(19)),'YYYY-MM-DD HH24:mi:ss'),TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*goal_done_time*/
        ,COALESCE(TRIM(CAST(p0.tag_1 AS varchar(50))),'')          /*tag_1*/
        ,COALESCE(TRIM(CAST(p0.tag_2 AS varchar(50))),'')          /*tag_2*/
        ,COALESCE(TRIM(CAST(p0.tag_3 AS varchar(50))),'')          /*tag_3*/
        ,COALESCE(TRIM(CAST(p0.tag_4 AS varchar(50))),'')          /*tag_4*/
        ,COALESCE(TRIM(CAST(p0.tag_5 AS varchar(50))),'')          /*tag_5*/
        ,COALESCE(TRIM(CAST(p0.cust_var_1_name AS varchar(50))),'')        /*cust_var_1_name*/
        ,COALESCE(TRIM(CAST(p0.cust_var_1_value AS varchar(50))),'')        /*cust_var_1_value*/
        ,COALESCE(TRIM(p0.first_response_time),'')                 /*first_response_time*/
        ,COALESCE(CAST(replace(p0.average_response_time,'.0','') AS int),0)        /*average_response_time*/
        ,COALESCE(CAST(replace(p0.agents_chatting_duration,'.0','') AS int),0)        /*agents_chatting_duration*/
        ,COALESCE(TRIM(CAST(p0.visitor_user_agent AS varchar(200))),'')        /*visitor_user_agent*/
        ,COALESCE(TRIM(CAST(p0.group_status_at_start AS varchar(20))),'')        /*group_status_at_start*/
        ,COALESCE(TRIM(CAST(p0.visitor_country_code AS varchar(2))),'')        /*visitor_country_code*/
        ,0                                                         /*Etl_Batch_No*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,Substr('s98_s_livechat',1,3)                              /*Src_Sysname*/
        ,'s98_s_livechat'                                          /*Src_Table*/
        
FROM p10_sa.s98_s_livechat  p0
;



/*将不同数据插入到临时表                                                                           */
;INSERT INTO t01_livechat_record_agi_INS (
         chat_creation_time                                        /*聊天创建时间*/
        ,chat_start_time                                           /*聊天开始时间*/
        ,chat_start_url                                            /*聊天开始url*/
        ,chat_referrer_url                                         /*聊天上级url*/
        ,chat_duration                                             /*聊天持续时长*/
        ,queue_duration                                            /*排队时长*/
        ,visitor_livechat_id                                       /*访客聊天编号*/
        ,visitor_nick                                              /*访客昵称*/
        ,visitor_ip                                                /*访客IP*/
        ,visitor_email                                             /*访客邮箱*/
        ,last_operator_id                                          /*最后操作者*/
        ,group_id                                                  /*责任组编号*/
        ,group_name                                                /*责任组名称*/
        ,rate                                                      /*评价*/
        ,rate_comment                                              /*评价描述*/
        ,operator_1_nick                                           /*操作者1昵称*/
        ,operator_2_nick                                           /*操作者2昵称*/
        ,operator_3_nick                                           /*操作者3昵称*/
        ,operator_4_nick                                           /*操作者4昵称*/
        ,operator_5_nick                                           /*操作者5昵称*/
        ,operator_6_nick                                           /*操作者6昵称*/
        ,operator_7_nick                                           /*操作者7昵称*/
        ,operator_8_nick                                           /*操作者8昵称*/
        ,operator_9_nick                                           /*操作者9昵称*/
        ,operator_10_nick                                          /*操作者10昵称*/
        ,operator_11_nick                                          /*操作者11昵称*/
        ,operator_1_id                                             /*操作者1编号*/
        ,operator_2_id                                             /*操作者2编号*/
        ,operator_3_id                                             /*操作者3编号*/
        ,operator_4_id                                             /*操作者4编号*/
        ,operator_5_id                                             /*操作者5编号*/
        ,operator_6_id                                             /*操作者6编号*/
        ,operator_7_id                                             /*操作者7编号*/
        ,operator_8_id                                             /*操作者8编号*/
        ,operator_9_id                                             /*操作者9编号*/
        ,operator_10_id                                            /*操作者10编号*/
        ,operator_11_id                                            /*操作者11编号*/
        ,operator_1_time_zone                                      /*操作者1时区*/
        ,operator_2_time_zone                                      /*操作者2时区*/
        ,operator_3_time_zone                                      /*操作者3时区*/
        ,operator_4_time_zone                                      /*操作者4时区*/
        ,operator_5_time_zone                                      /*操作者5时区*/
        ,operator_6_time_zone                                      /*操作者6时区*/
        ,operator_7_time_zone                                      /*操作者7时区*/
        ,operator_8_time_zone                                      /*操作者8时区*/
        ,operator_9_time_zone                                      /*操作者9时区*/
        ,operator_10_time_zone                                     /*操作者10时区*/
        ,operator_11_time_zone                                     /*操作者11时区*/
        ,pre_chat_service                                          /*需要服务类型*/
        ,pre_chat_name                                             /*姓名*/
        ,pre_chat_contact                                          /*联系方式*/
        ,pre_chat_email                                            /*邮箱*/
        ,pre_chat_company                                          /*公司名*/
        ,pre_chat_service_t                                        /*需要服务类型(繁体)*/
        ,pre_chat_email_t                                          /*邮箱（繁体）*/
        ,pre_chat_contact_t                                        /*联系方式(繁体）*/
        ,pre_chat_company_t                                        /*公司名（繁体）*/
        ,pre_chat_name_j                                           /*姓名（日文）*/
        ,pre_chat_email_j                                          /*邮箱（日文）*/
        ,pre_chat_private_policy                                   /*同意隐私政策标志*/
        ,pre_chat_know_policy                                      /*同意数据境外传输标志*/
        ,pre_chat_agree_policy                                     /*同意收集数据标志*/
        ,pre_chat_agree_policy_k                                   /*同意收集数据标志(韩语)*/
        ,pre_chat_agree_for_sale                                   /*同意数据用于营销标志*/
        ,pre_chat_company_k                                        /*公司（韩语）*/
        ,pre_chat_name_k                                           /*姓名（韩语）*/
        ,pre_chat_contact_k                                        /*联系方式（韩语）*/
        ,pre_chat_email_k                                          /*邮箱（韩语）*/
        ,pre_chat_service_k                                        /*需要服务类型（韩语）*/
        ,pre_chat_contact_2                                        /*联系方式2*/
        ,pre_chat_contact_3                                        /*联系方式3*/
        ,post_chat_first                                           /*第一次聊天标志*/
        ,post_chat_where_chat                                      /*聊天来源*/
        ,post_chat_help                                            /*问题解决标志*/
        ,post_chat_where_2                                         /*聊天来源2*/
        ,post_chat_first_j                                         /*第一次聊天标志（日语）*/
        ,post_chat_help_j                                          /*问题解决标志（日语）*/
        ,post_chat_message_j                                       /*聊天信息*/
        ,auto_invite_url                                           /*自动邀请网址*/
        ,auto_invite_action                                        /*自动邀请事件*/
        ,goal_action_name                                          /*目标事件名称*/
        ,goal_done_by                                              /*目标完成人*/
        ,goal_done_time                                            /*目标完成时间*/
        ,tag_1                                                     /*标签1*/
        ,tag_2                                                     /*标签2*/
        ,tag_3                                                     /*标签3*/
        ,tag_4                                                     /*标签4*/
        ,tag_5                                                     /*标签5*/
        ,cust_var_1_name                                           /*客户参数1名称*/
        ,cust_var_1_value                                          /*客户参数1值*/
        ,first_response_time                                       /*首次相应时间*/
        ,average_response_time                                     /*平均响应时间*/
        ,agents_chatting_duration                                  /*坐席聊天时长*/
        ,visitor_user_agent                                        /*访问者代理*/
        ,group_status_at_start                                     /*开始时组状态*/
        ,visitor_country_code                                      /*访客国家代码*/
        ,livechat_leads_id                                         /*livechat线索编号*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
    SELECT
         P1.chat_creation_time                                        /*聊天创建时间*/
        ,P1.chat_start_time                                           /*聊天开始时间*/
        ,P1.chat_start_url                                            /*聊天开始url*/
        ,P1.chat_referrer_url                                         /*聊天上级url*/
        ,P1.chat_duration                                             /*聊天持续时长*/
        ,P1.queue_duration                                            /*排队时长*/
        ,P1.visitor_livechat_id                                       /*访客聊天编号*/
        ,P1.visitor_nick                                              /*访客昵称*/
        ,P1.visitor_ip                                                /*访客IP*/
        ,P1.visitor_email                                             /*访客邮箱*/
        ,P1.last_operator_id                                          /*最后操作者*/
        ,P1.group_id                                                  /*责任组编号*/
        ,P1.group_name                                                /*责任组名称*/
        ,P1.rate                                                      /*评价*/
        ,P1.rate_comment                                              /*评价描述*/
        ,P1.operator_1_nick                                           /*操作者1昵称*/
        ,P1.operator_2_nick                                           /*操作者2昵称*/
        ,P1.operator_3_nick                                           /*操作者3昵称*/
        ,P1.operator_4_nick                                           /*操作者4昵称*/
        ,P1.operator_5_nick                                           /*操作者5昵称*/
        ,P1.operator_6_nick                                           /*操作者6昵称*/
        ,P1.operator_7_nick                                           /*操作者7昵称*/
        ,P1.operator_8_nick                                           /*操作者8昵称*/
        ,P1.operator_9_nick                                           /*操作者9昵称*/
        ,P1.operator_10_nick                                          /*操作者10昵称*/
        ,P1.operator_11_nick                                          /*操作者11昵称*/
        ,P1.operator_1_id                                             /*操作者1编号*/
        ,P1.operator_2_id                                             /*操作者2编号*/
        ,P1.operator_3_id                                             /*操作者3编号*/
        ,P1.operator_4_id                                             /*操作者4编号*/
        ,P1.operator_5_id                                             /*操作者5编号*/
        ,P1.operator_6_id                                             /*操作者6编号*/
        ,P1.operator_7_id                                             /*操作者7编号*/
        ,P1.operator_8_id                                             /*操作者8编号*/
        ,P1.operator_9_id                                             /*操作者9编号*/
        ,P1.operator_10_id                                            /*操作者10编号*/
        ,P1.operator_11_id                                            /*操作者11编号*/
        ,P1.operator_1_time_zone                                      /*操作者1时区*/
        ,P1.operator_2_time_zone                                      /*操作者2时区*/
        ,P1.operator_3_time_zone                                      /*操作者3时区*/
        ,P1.operator_4_time_zone                                      /*操作者4时区*/
        ,P1.operator_5_time_zone                                      /*操作者5时区*/
        ,P1.operator_6_time_zone                                      /*操作者6时区*/
        ,P1.operator_7_time_zone                                      /*操作者7时区*/
        ,P1.operator_8_time_zone                                      /*操作者8时区*/
        ,P1.operator_9_time_zone                                      /*操作者9时区*/
        ,P1.operator_10_time_zone                                     /*操作者10时区*/
        ,P1.operator_11_time_zone                                     /*操作者11时区*/
        ,P1.pre_chat_service                                          /*需要服务类型*/
        ,P1.pre_chat_name                                             /*姓名*/
        ,P1.pre_chat_contact                                          /*联系方式*/
        ,P1.pre_chat_email                                            /*邮箱*/
        ,P1.pre_chat_company                                          /*公司名*/
        ,P1.pre_chat_service_t                                        /*需要服务类型(繁体)*/
        ,P1.pre_chat_email_t                                          /*邮箱（繁体）*/
        ,P1.pre_chat_contact_t                                        /*联系方式(繁体）*/
        ,P1.pre_chat_company_t                                        /*公司名（繁体）*/
        ,P1.pre_chat_name_j                                           /*姓名（日文）*/
        ,P1.pre_chat_email_j                                          /*邮箱（日文）*/
        ,P1.pre_chat_private_policy                                   /*同意隐私政策标志*/
        ,P1.pre_chat_know_policy                                      /*同意数据境外传输标志*/
        ,P1.pre_chat_agree_policy                                     /*同意收集数据标志*/
        ,P1.pre_chat_agree_policy_k                                   /*同意收集数据标志(韩语)*/
        ,P1.pre_chat_agree_for_sale                                   /*同意数据用于营销标志*/
        ,P1.pre_chat_company_k                                        /*公司（韩语）*/
        ,P1.pre_chat_name_k                                           /*姓名（韩语）*/
        ,P1.pre_chat_contact_k                                        /*联系方式（韩语）*/
        ,P1.pre_chat_email_k                                          /*邮箱（韩语）*/
        ,P1.pre_chat_service_k                                        /*需要服务类型（韩语）*/
        ,P1.pre_chat_contact_2                                        /*联系方式2*/
        ,P1.pre_chat_contact_3                                        /*联系方式3*/
        ,P1.post_chat_first                                           /*第一次聊天标志*/
        ,P1.post_chat_where_chat                                      /*聊天来源*/
        ,P1.post_chat_help                                            /*问题解决标志*/
        ,P1.post_chat_where_2                                         /*聊天来源2*/
        ,P1.post_chat_first_j                                         /*第一次聊天标志（日语）*/
        ,P1.post_chat_help_j                                          /*问题解决标志（日语）*/
        ,P1.post_chat_message_j                                       /*聊天信息*/
        ,P1.auto_invite_url                                           /*自动邀请网址*/
        ,P1.auto_invite_action                                        /*自动邀请事件*/
        ,P1.goal_action_name                                          /*目标事件名称*/
        ,P1.goal_done_by                                              /*目标完成人*/
        ,P1.goal_done_time                                            /*目标完成时间*/
        ,P1.tag_1                                                     /*标签1*/
        ,P1.tag_2                                                     /*标签2*/
        ,P1.tag_3                                                     /*标签3*/
        ,P1.tag_4                                                     /*标签4*/
        ,P1.tag_5                                                     /*标签5*/
        ,P1.cust_var_1_name                                           /*客户参数1名称*/
        ,P1.cust_var_1_value                                          /*客户参数1值*/
        ,P1.first_response_time                                       /*首次相应时间*/
        ,P1.average_response_time                                     /*平均响应时间*/
        ,P1.agents_chatting_duration                                  /*坐席聊天时长*/
        ,P1.visitor_user_agent                                        /*访问者代理*/
        ,P1.group_status_at_start                                     /*开始时组状态*/
        ,P1.visitor_country_code                                      /*访客国家代码*/
        ,P1.livechat_leads_id                                         /*livechat线索编号*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM t01_livechat_record_agi_CUR_I P1
LEFT JOIN :PDMDB.t01_livechat_record P2
ON    P1.chat_creation_time = P2.chat_creation_time
    AND P1.chat_start_time = P2.chat_start_time
    AND P1.chat_start_url = P2.chat_start_url
    AND P1.chat_referrer_url = P2.chat_referrer_url
    AND P1.chat_duration = P2.chat_duration
    AND P1.queue_duration = P2.queue_duration
    AND P1.visitor_livechat_id = P2.visitor_livechat_id
    AND P1.visitor_nick = P2.visitor_nick
    AND P1.visitor_ip = P2.visitor_ip
    AND P1.visitor_email = P2.visitor_email
    AND P1.last_operator_id = P2.last_operator_id
    AND P1.group_id = P2.group_id
    AND P1.group_name = P2.group_name
    AND P1.rate = P2.rate
    AND P1.rate_comment = P2.rate_comment
    AND P1.operator_1_nick = P2.operator_1_nick
    AND P1.operator_2_nick = P2.operator_2_nick
    AND P1.operator_3_nick = P2.operator_3_nick
    AND P1.operator_4_nick = P2.operator_4_nick
    AND P1.operator_5_nick = P2.operator_5_nick
    AND P1.operator_6_nick = P2.operator_6_nick
    AND P1.operator_7_nick = P2.operator_7_nick
    AND P1.operator_8_nick = P2.operator_8_nick
    AND P1.operator_9_nick = P2.operator_9_nick
    AND P1.operator_10_nick = P2.operator_10_nick
    AND P1.operator_11_nick = P2.operator_11_nick
    AND P1.operator_1_id = P2.operator_1_id
    AND P1.operator_2_id = P2.operator_2_id
    AND P1.operator_3_id = P2.operator_3_id
    AND P1.operator_4_id = P2.operator_4_id
    AND P1.operator_5_id = P2.operator_5_id
    AND P1.operator_6_id = P2.operator_6_id
    AND P1.operator_7_id = P2.operator_7_id
    AND P1.operator_8_id = P2.operator_8_id
    AND P1.operator_9_id = P2.operator_9_id
    AND P1.operator_10_id = P2.operator_10_id
    AND P1.operator_11_id = P2.operator_11_id
    AND P1.operator_1_time_zone = P2.operator_1_time_zone
    AND P1.operator_2_time_zone = P2.operator_2_time_zone
    AND P1.operator_3_time_zone = P2.operator_3_time_zone
    AND P1.operator_4_time_zone = P2.operator_4_time_zone
    AND P1.operator_5_time_zone = P2.operator_5_time_zone
    AND P1.operator_6_time_zone = P2.operator_6_time_zone
    AND P1.operator_7_time_zone = P2.operator_7_time_zone
    AND P1.operator_8_time_zone = P2.operator_8_time_zone
    AND P1.operator_9_time_zone = P2.operator_9_time_zone
    AND P1.operator_10_time_zone = P2.operator_10_time_zone
    AND P1.operator_11_time_zone = P2.operator_11_time_zone
    AND P1.pre_chat_service = P2.pre_chat_service
    AND P1.pre_chat_name = P2.pre_chat_name
    AND P1.pre_chat_contact = P2.pre_chat_contact
    AND P1.pre_chat_email = P2.pre_chat_email
    AND P1.pre_chat_company = P2.pre_chat_company
    AND P1.pre_chat_service_t = P2.pre_chat_service_t
    AND P1.pre_chat_email_t = P2.pre_chat_email_t
    AND P1.pre_chat_contact_t = P2.pre_chat_contact_t
    AND P1.pre_chat_company_t = P2.pre_chat_company_t
    AND P1.pre_chat_name_j = P2.pre_chat_name_j
    AND P1.pre_chat_email_j = P2.pre_chat_email_j
    AND P1.pre_chat_private_policy = P2.pre_chat_private_policy
    AND P1.pre_chat_know_policy = P2.pre_chat_know_policy
    AND P1.pre_chat_agree_policy = P2.pre_chat_agree_policy
    AND P1.pre_chat_agree_policy_k = P2.pre_chat_agree_policy_k
    AND P1.pre_chat_agree_for_sale = P2.pre_chat_agree_for_sale
    AND P1.pre_chat_company_k = P2.pre_chat_company_k
    AND P1.pre_chat_name_k = P2.pre_chat_name_k
    AND P1.pre_chat_contact_k = P2.pre_chat_contact_k
    AND P1.pre_chat_email_k = P2.pre_chat_email_k
    AND P1.pre_chat_service_k = P2.pre_chat_service_k
    AND P1.pre_chat_contact_2 = P2.pre_chat_contact_2
    AND P1.pre_chat_contact_3 = P2.pre_chat_contact_3
    AND P1.post_chat_first = P2.post_chat_first
    AND P1.post_chat_where_chat = P2.post_chat_where_chat
    AND P1.post_chat_help = P2.post_chat_help
    AND P1.post_chat_where_2 = P2.post_chat_where_2
    AND P1.post_chat_first_j = P2.post_chat_first_j
    AND P1.post_chat_help_j = P2.post_chat_help_j
    AND P1.post_chat_message_j = P2.post_chat_message_j
    AND P1.auto_invite_url = P2.auto_invite_url
    AND P1.auto_invite_action = P2.auto_invite_action
    AND P1.goal_action_name = P2.goal_action_name
    AND P1.goal_done_by = P2.goal_done_by
    AND P1.goal_done_time = P2.goal_done_time
    AND P1.tag_1 = P2.tag_1
    AND P1.tag_2 = P2.tag_2
    AND P1.tag_3 = P2.tag_3
    AND P1.tag_4 = P2.tag_4
    AND P1.tag_5 = P2.tag_5
    AND P1.cust_var_1_name = P2.cust_var_1_name
    AND P1.cust_var_1_value = P2.cust_var_1_value
    AND P1.first_response_time = P2.first_response_time
    AND P1.average_response_time = P2.average_response_time
    AND P1.agents_chatting_duration = P2.agents_chatting_duration
    AND P1.visitor_user_agent = P2.visitor_user_agent
    AND P1.group_status_at_start = P2.group_status_at_start
    AND P1.visitor_country_code = P2.visitor_country_code
    AND P1.livechat_leads_id = P2.livechat_leads_id
    
WHERE  P2.chat_creation_time IS NULL
    OR P2.chat_start_time IS NULL
    OR P2.chat_start_url IS NULL
    OR P2.chat_referrer_url IS NULL
    OR P2.chat_duration IS NULL
    OR P2.queue_duration IS NULL
    OR P2.visitor_livechat_id IS NULL
    OR P2.visitor_nick IS NULL
    OR P2.visitor_ip IS NULL
    OR P2.visitor_email IS NULL
    OR P2.last_operator_id IS NULL
    OR P2.group_id IS NULL
    OR P2.group_name IS NULL
    OR P2.rate IS NULL
    OR P2.rate_comment IS NULL
    OR P2.operator_1_nick IS NULL
    OR P2.operator_2_nick IS NULL
    OR P2.operator_3_nick IS NULL
    OR P2.operator_4_nick IS NULL
    OR P2.operator_5_nick IS NULL
    OR P2.operator_6_nick IS NULL
    OR P2.operator_7_nick IS NULL
    OR P2.operator_8_nick IS NULL
    OR P2.operator_9_nick IS NULL
    OR P2.operator_10_nick IS NULL
    OR P2.operator_11_nick IS NULL
    OR P2.operator_1_id IS NULL
    OR P2.operator_2_id IS NULL
    OR P2.operator_3_id IS NULL
    OR P2.operator_4_id IS NULL
    OR P2.operator_5_id IS NULL
    OR P2.operator_6_id IS NULL
    OR P2.operator_7_id IS NULL
    OR P2.operator_8_id IS NULL
    OR P2.operator_9_id IS NULL
    OR P2.operator_10_id IS NULL
    OR P2.operator_11_id IS NULL
    OR P2.operator_1_time_zone IS NULL
    OR P2.operator_2_time_zone IS NULL
    OR P2.operator_3_time_zone IS NULL
    OR P2.operator_4_time_zone IS NULL
    OR P2.operator_5_time_zone IS NULL
    OR P2.operator_6_time_zone IS NULL
    OR P2.operator_7_time_zone IS NULL
    OR P2.operator_8_time_zone IS NULL
    OR P2.operator_9_time_zone IS NULL
    OR P2.operator_10_time_zone IS NULL
    OR P2.operator_11_time_zone IS NULL
    OR P2.pre_chat_service IS NULL
    OR P2.pre_chat_name IS NULL
    OR P2.pre_chat_contact IS NULL
    OR P2.pre_chat_email IS NULL
    OR P2.pre_chat_company IS NULL
    OR P2.pre_chat_service_t IS NULL
    OR P2.pre_chat_email_t IS NULL
    OR P2.pre_chat_contact_t IS NULL
    OR P2.pre_chat_company_t IS NULL
    OR P2.pre_chat_name_j IS NULL
    OR P2.pre_chat_email_j IS NULL
    OR P2.pre_chat_private_policy IS NULL
    OR P2.pre_chat_know_policy IS NULL
    OR P2.pre_chat_agree_policy IS NULL
    OR P2.pre_chat_agree_policy_k IS NULL
    OR P2.pre_chat_agree_for_sale IS NULL
    OR P2.pre_chat_company_k IS NULL
    OR P2.pre_chat_name_k IS NULL
    OR P2.pre_chat_contact_k IS NULL
    OR P2.pre_chat_email_k IS NULL
    OR P2.pre_chat_service_k IS NULL
    OR P2.pre_chat_contact_2 IS NULL
    OR P2.pre_chat_contact_3 IS NULL
    OR P2.post_chat_first IS NULL
    OR P2.post_chat_where_chat IS NULL
    OR P2.post_chat_help IS NULL
    OR P2.post_chat_where_2 IS NULL
    OR P2.post_chat_first_j IS NULL
    OR P2.post_chat_help_j IS NULL
    OR P2.post_chat_message_j IS NULL
    OR P2.auto_invite_url IS NULL
    OR P2.auto_invite_action IS NULL
    OR P2.goal_action_name IS NULL
    OR P2.goal_done_by IS NULL
    OR P2.goal_done_time IS NULL
    OR P2.tag_1 IS NULL
    OR P2.tag_2 IS NULL
    OR P2.tag_3 IS NULL
    OR P2.tag_4 IS NULL
    OR P2.tag_5 IS NULL
    OR P2.cust_var_1_name IS NULL
    OR P2.cust_var_1_value IS NULL
    OR P2.first_response_time IS NULL
    OR P2.average_response_time IS NULL
    OR P2.agents_chatting_duration IS NULL
    OR P2.visitor_user_agent IS NULL
    OR P2.group_status_at_start IS NULL
    OR P2.visitor_country_code IS NULL
    OR P2.livechat_leads_id IS NULL
    
; 
/*将新增数据插入到目标表                                                                           */
;INSERT INTO :PDMDB.t01_livechat_record (
         chat_creation_time                                        /*聊天创建时间*/
        ,chat_start_time                                           /*聊天开始时间*/
        ,chat_start_url                                            /*聊天开始url*/
        ,chat_referrer_url                                         /*聊天上级url*/
        ,chat_duration                                             /*聊天持续时长*/
        ,queue_duration                                            /*排队时长*/
        ,visitor_livechat_id                                       /*访客聊天编号*/
        ,visitor_nick                                              /*访客昵称*/
        ,visitor_ip                                                /*访客IP*/
        ,visitor_email                                             /*访客邮箱*/
        ,last_operator_id                                          /*最后操作者*/
        ,group_id                                                  /*责任组编号*/
        ,group_name                                                /*责任组名称*/
        ,rate                                                      /*评价*/
        ,rate_comment                                              /*评价描述*/
        ,operator_1_nick                                           /*操作者1昵称*/
        ,operator_2_nick                                           /*操作者2昵称*/
        ,operator_3_nick                                           /*操作者3昵称*/
        ,operator_4_nick                                           /*操作者4昵称*/
        ,operator_5_nick                                           /*操作者5昵称*/
        ,operator_6_nick                                           /*操作者6昵称*/
        ,operator_7_nick                                           /*操作者7昵称*/
        ,operator_8_nick                                           /*操作者8昵称*/
        ,operator_9_nick                                           /*操作者9昵称*/
        ,operator_10_nick                                          /*操作者10昵称*/
        ,operator_11_nick                                          /*操作者11昵称*/
        ,operator_1_id                                             /*操作者1编号*/
        ,operator_2_id                                             /*操作者2编号*/
        ,operator_3_id                                             /*操作者3编号*/
        ,operator_4_id                                             /*操作者4编号*/
        ,operator_5_id                                             /*操作者5编号*/
        ,operator_6_id                                             /*操作者6编号*/
        ,operator_7_id                                             /*操作者7编号*/
        ,operator_8_id                                             /*操作者8编号*/
        ,operator_9_id                                             /*操作者9编号*/
        ,operator_10_id                                            /*操作者10编号*/
        ,operator_11_id                                            /*操作者11编号*/
        ,operator_1_time_zone                                      /*操作者1时区*/
        ,operator_2_time_zone                                      /*操作者2时区*/
        ,operator_3_time_zone                                      /*操作者3时区*/
        ,operator_4_time_zone                                      /*操作者4时区*/
        ,operator_5_time_zone                                      /*操作者5时区*/
        ,operator_6_time_zone                                      /*操作者6时区*/
        ,operator_7_time_zone                                      /*操作者7时区*/
        ,operator_8_time_zone                                      /*操作者8时区*/
        ,operator_9_time_zone                                      /*操作者9时区*/
        ,operator_10_time_zone                                     /*操作者10时区*/
        ,operator_11_time_zone                                     /*操作者11时区*/
        ,pre_chat_service                                          /*需要服务类型*/
        ,pre_chat_name                                             /*姓名*/
        ,pre_chat_contact                                          /*联系方式*/
        ,pre_chat_email                                            /*邮箱*/
        ,pre_chat_company                                          /*公司名*/
        ,pre_chat_service_t                                        /*需要服务类型(繁体)*/
        ,pre_chat_email_t                                          /*邮箱（繁体）*/
        ,pre_chat_contact_t                                        /*联系方式(繁体）*/
        ,pre_chat_company_t                                        /*公司名（繁体）*/
        ,pre_chat_name_j                                           /*姓名（日文）*/
        ,pre_chat_email_j                                          /*邮箱（日文）*/
        ,pre_chat_private_policy                                   /*同意隐私政策标志*/
        ,pre_chat_know_policy                                      /*同意数据境外传输标志*/
        ,pre_chat_agree_policy                                     /*同意收集数据标志*/
        ,pre_chat_agree_policy_k                                   /*同意收集数据标志(韩语)*/
        ,pre_chat_agree_for_sale                                   /*同意数据用于营销标志*/
        ,pre_chat_company_k                                        /*公司（韩语）*/
        ,pre_chat_name_k                                           /*姓名（韩语）*/
        ,pre_chat_contact_k                                        /*联系方式（韩语）*/
        ,pre_chat_email_k                                          /*邮箱（韩语）*/
        ,pre_chat_service_k                                        /*需要服务类型（韩语）*/
        ,pre_chat_contact_2                                        /*联系方式2*/
        ,pre_chat_contact_3                                        /*联系方式3*/
        ,post_chat_first                                           /*第一次聊天标志*/
        ,post_chat_where_chat                                      /*聊天来源*/
        ,post_chat_help                                            /*问题解决标志*/
        ,post_chat_where_2                                         /*聊天来源2*/
        ,post_chat_first_j                                         /*第一次聊天标志（日语）*/
        ,post_chat_help_j                                          /*问题解决标志（日语）*/
        ,post_chat_message_j                                       /*聊天信息*/
        ,auto_invite_url                                           /*自动邀请网址*/
        ,auto_invite_action                                        /*自动邀请事件*/
        ,goal_action_name                                          /*目标事件名称*/
        ,goal_done_by                                              /*目标完成人*/
        ,goal_done_time                                            /*目标完成时间*/
        ,tag_1                                                     /*标签1*/
        ,tag_2                                                     /*标签2*/
        ,tag_3                                                     /*标签3*/
        ,tag_4                                                     /*标签4*/
        ,tag_5                                                     /*标签5*/
        ,cust_var_1_name                                           /*客户参数1名称*/
        ,cust_var_1_value                                          /*客户参数1值*/
        ,first_response_time                                       /*首次相应时间*/
        ,average_response_time                                     /*平均响应时间*/
        ,agents_chatting_duration                                  /*坐席聊天时长*/
        ,visitor_user_agent                                        /*访问者代理*/
        ,group_status_at_start                                     /*开始时组状态*/
        ,visitor_country_code                                      /*访客国家代码*/
        ,livechat_leads_id                                         /*livechat线索编号*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
SELECT
         P1.chat_creation_time                                        /*聊天创建时间*/
        ,P1.chat_start_time                                           /*聊天开始时间*/
        ,P1.chat_start_url                                            /*聊天开始url*/
        ,P1.chat_referrer_url                                         /*聊天上级url*/
        ,P1.chat_duration                                             /*聊天持续时长*/
        ,P1.queue_duration                                            /*排队时长*/
        ,P1.visitor_livechat_id                                       /*访客聊天编号*/
        ,P1.visitor_nick                                              /*访客昵称*/
        ,P1.visitor_ip                                                /*访客IP*/
        ,P1.visitor_email                                             /*访客邮箱*/
        ,P1.last_operator_id                                          /*最后操作者*/
        ,P1.group_id                                                  /*责任组编号*/
        ,P1.group_name                                                /*责任组名称*/
        ,P1.rate                                                      /*评价*/
        ,P1.rate_comment                                              /*评价描述*/
        ,P1.operator_1_nick                                           /*操作者1昵称*/
        ,P1.operator_2_nick                                           /*操作者2昵称*/
        ,P1.operator_3_nick                                           /*操作者3昵称*/
        ,P1.operator_4_nick                                           /*操作者4昵称*/
        ,P1.operator_5_nick                                           /*操作者5昵称*/
        ,P1.operator_6_nick                                           /*操作者6昵称*/
        ,P1.operator_7_nick                                           /*操作者7昵称*/
        ,P1.operator_8_nick                                           /*操作者8昵称*/
        ,P1.operator_9_nick                                           /*操作者9昵称*/
        ,P1.operator_10_nick                                          /*操作者10昵称*/
        ,P1.operator_11_nick                                          /*操作者11昵称*/
        ,P1.operator_1_id                                             /*操作者1编号*/
        ,P1.operator_2_id                                             /*操作者2编号*/
        ,P1.operator_3_id                                             /*操作者3编号*/
        ,P1.operator_4_id                                             /*操作者4编号*/
        ,P1.operator_5_id                                             /*操作者5编号*/
        ,P1.operator_6_id                                             /*操作者6编号*/
        ,P1.operator_7_id                                             /*操作者7编号*/
        ,P1.operator_8_id                                             /*操作者8编号*/
        ,P1.operator_9_id                                             /*操作者9编号*/
        ,P1.operator_10_id                                            /*操作者10编号*/
        ,P1.operator_11_id                                            /*操作者11编号*/
        ,P1.operator_1_time_zone                                      /*操作者1时区*/
        ,P1.operator_2_time_zone                                      /*操作者2时区*/
        ,P1.operator_3_time_zone                                      /*操作者3时区*/
        ,P1.operator_4_time_zone                                      /*操作者4时区*/
        ,P1.operator_5_time_zone                                      /*操作者5时区*/
        ,P1.operator_6_time_zone                                      /*操作者6时区*/
        ,P1.operator_7_time_zone                                      /*操作者7时区*/
        ,P1.operator_8_time_zone                                      /*操作者8时区*/
        ,P1.operator_9_time_zone                                      /*操作者9时区*/
        ,P1.operator_10_time_zone                                     /*操作者10时区*/
        ,P1.operator_11_time_zone                                     /*操作者11时区*/
        ,P1.pre_chat_service                                          /*需要服务类型*/
        ,P1.pre_chat_name                                             /*姓名*/
        ,P1.pre_chat_contact                                          /*联系方式*/
        ,P1.pre_chat_email                                            /*邮箱*/
        ,P1.pre_chat_company                                          /*公司名*/
        ,P1.pre_chat_service_t                                        /*需要服务类型(繁体)*/
        ,P1.pre_chat_email_t                                          /*邮箱（繁体）*/
        ,P1.pre_chat_contact_t                                        /*联系方式(繁体）*/
        ,P1.pre_chat_company_t                                        /*公司名（繁体）*/
        ,P1.pre_chat_name_j                                           /*姓名（日文）*/
        ,P1.pre_chat_email_j                                          /*邮箱（日文）*/
        ,P1.pre_chat_private_policy                                   /*同意隐私政策标志*/
        ,P1.pre_chat_know_policy                                      /*同意数据境外传输标志*/
        ,P1.pre_chat_agree_policy                                     /*同意收集数据标志*/
        ,P1.pre_chat_agree_policy_k                                   /*同意收集数据标志(韩语)*/
        ,P1.pre_chat_agree_for_sale                                   /*同意数据用于营销标志*/
        ,P1.pre_chat_company_k                                        /*公司（韩语）*/
        ,P1.pre_chat_name_k                                           /*姓名（韩语）*/
        ,P1.pre_chat_contact_k                                        /*联系方式（韩语）*/
        ,P1.pre_chat_email_k                                          /*邮箱（韩语）*/
        ,P1.pre_chat_service_k                                        /*需要服务类型（韩语）*/
        ,P1.pre_chat_contact_2                                        /*联系方式2*/
        ,P1.pre_chat_contact_3                                        /*联系方式3*/
        ,P1.post_chat_first                                           /*第一次聊天标志*/
        ,P1.post_chat_where_chat                                      /*聊天来源*/
        ,P1.post_chat_help                                            /*问题解决标志*/
        ,P1.post_chat_where_2                                         /*聊天来源2*/
        ,P1.post_chat_first_j                                         /*第一次聊天标志（日语）*/
        ,P1.post_chat_help_j                                          /*问题解决标志（日语）*/
        ,P1.post_chat_message_j                                       /*聊天信息*/
        ,P1.auto_invite_url                                           /*自动邀请网址*/
        ,P1.auto_invite_action                                        /*自动邀请事件*/
        ,P1.goal_action_name                                          /*目标事件名称*/
        ,P1.goal_done_by                                              /*目标完成人*/
        ,P1.goal_done_time                                            /*目标完成时间*/
        ,P1.tag_1                                                     /*标签1*/
        ,P1.tag_2                                                     /*标签2*/
        ,P1.tag_3                                                     /*标签3*/
        ,P1.tag_4                                                     /*标签4*/
        ,P1.tag_5                                                     /*标签5*/
        ,P1.cust_var_1_name                                           /*客户参数1名称*/
        ,P1.cust_var_1_value                                          /*客户参数1值*/
        ,P1.first_response_time                                       /*首次相应时间*/
        ,P1.average_response_time                                     /*平均响应时间*/
        ,P1.agents_chatting_duration                                  /*坐席聊天时长*/
        ,P1.visitor_user_agent                                        /*访问者代理*/
        ,P1.group_status_at_start                                     /*开始时组状态*/
        ,P1.visitor_country_code                                      /*访客国家代码*/
        ,P1.livechat_leads_id                                         /*livechat线索编号*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM t01_livechat_record_agi_INS P1
ON CONFLICT ( livechat_leads_id)
DO UPDATE SET
     livechat_leads_id=excluded.livechat_leads_id
    ,chat_creation_time=excluded.chat_creation_time
    ,chat_start_time=excluded.chat_start_time
    ,chat_start_url=excluded.chat_start_url
    ,chat_referrer_url=excluded.chat_referrer_url
    ,chat_duration=excluded.chat_duration
    ,queue_duration=excluded.queue_duration
    ,visitor_livechat_id=excluded.visitor_livechat_id
    ,visitor_nick=excluded.visitor_nick
    ,visitor_ip=excluded.visitor_ip
    ,visitor_email=excluded.visitor_email
    ,last_operator_id=excluded.last_operator_id
    ,group_id=excluded.group_id
    ,group_name=excluded.group_name
    ,rate=excluded.rate
    ,rate_comment=excluded.rate_comment
    ,operator_1_nick=excluded.operator_1_nick
    ,operator_2_nick=excluded.operator_2_nick
    ,operator_3_nick=excluded.operator_3_nick
    ,operator_4_nick=excluded.operator_4_nick
    ,operator_5_nick=excluded.operator_5_nick
    ,operator_6_nick=excluded.operator_6_nick
    ,operator_7_nick=excluded.operator_7_nick
    ,operator_8_nick=excluded.operator_8_nick
    ,operator_9_nick=excluded.operator_9_nick
    ,operator_10_nick=excluded.operator_10_nick
    ,operator_11_nick=excluded.operator_11_nick
    ,operator_1_id=excluded.operator_1_id
    ,operator_2_id=excluded.operator_2_id
    ,operator_3_id=excluded.operator_3_id
    ,operator_4_id=excluded.operator_4_id
    ,operator_5_id=excluded.operator_5_id
    ,operator_6_id=excluded.operator_6_id
    ,operator_7_id=excluded.operator_7_id
    ,operator_8_id=excluded.operator_8_id
    ,operator_9_id=excluded.operator_9_id
    ,operator_10_id=excluded.operator_10_id
    ,operator_11_id=excluded.operator_11_id
    ,operator_1_time_zone=excluded.operator_1_time_zone
    ,operator_2_time_zone=excluded.operator_2_time_zone
    ,operator_3_time_zone=excluded.operator_3_time_zone
    ,operator_4_time_zone=excluded.operator_4_time_zone
    ,operator_5_time_zone=excluded.operator_5_time_zone
    ,operator_6_time_zone=excluded.operator_6_time_zone
    ,operator_7_time_zone=excluded.operator_7_time_zone
    ,operator_8_time_zone=excluded.operator_8_time_zone
    ,operator_9_time_zone=excluded.operator_9_time_zone
    ,operator_10_time_zone=excluded.operator_10_time_zone
    ,operator_11_time_zone=excluded.operator_11_time_zone
    ,pre_chat_service=excluded.pre_chat_service
    ,pre_chat_name=excluded.pre_chat_name
    ,pre_chat_contact=excluded.pre_chat_contact
    ,pre_chat_email=excluded.pre_chat_email
    ,pre_chat_company=excluded.pre_chat_company
    ,pre_chat_service_t=excluded.pre_chat_service_t
    ,pre_chat_email_t=excluded.pre_chat_email_t
    ,pre_chat_contact_t=excluded.pre_chat_contact_t
    ,pre_chat_company_t=excluded.pre_chat_company_t
    ,pre_chat_name_j=excluded.pre_chat_name_j
    ,pre_chat_email_j=excluded.pre_chat_email_j
    ,pre_chat_private_policy=excluded.pre_chat_private_policy
    ,pre_chat_know_policy=excluded.pre_chat_know_policy
    ,pre_chat_agree_policy=excluded.pre_chat_agree_policy
    ,pre_chat_agree_policy_k=excluded.pre_chat_agree_policy_k
    ,pre_chat_agree_for_sale=excluded.pre_chat_agree_for_sale
    ,pre_chat_company_k=excluded.pre_chat_company_k
    ,pre_chat_name_k=excluded.pre_chat_name_k
    ,pre_chat_contact_k=excluded.pre_chat_contact_k
    ,pre_chat_email_k=excluded.pre_chat_email_k
    ,pre_chat_service_k=excluded.pre_chat_service_k
    ,pre_chat_contact_2=excluded.pre_chat_contact_2
    ,pre_chat_contact_3=excluded.pre_chat_contact_3
    ,post_chat_first=excluded.post_chat_first
    ,post_chat_where_chat=excluded.post_chat_where_chat
    ,post_chat_help=excluded.post_chat_help
    ,post_chat_where_2=excluded.post_chat_where_2
    ,post_chat_first_j=excluded.post_chat_first_j
    ,post_chat_help_j=excluded.post_chat_help_j
    ,post_chat_message_j=excluded.post_chat_message_j
    ,auto_invite_url=excluded.auto_invite_url
    ,auto_invite_action=excluded.auto_invite_action
    ,goal_action_name=excluded.goal_action_name
    ,goal_done_by=excluded.goal_done_by
    ,goal_done_time=excluded.goal_done_time
    ,tag_1=excluded.tag_1
    ,tag_2=excluded.tag_2
    ,tag_3=excluded.tag_3
    ,tag_4=excluded.tag_4
    ,tag_5=excluded.tag_5
    ,cust_var_1_name=excluded.cust_var_1_name
    ,cust_var_1_value=excluded.cust_var_1_value
    ,first_response_time=excluded.first_response_time
    ,average_response_time=excluded.average_response_time
    ,agents_chatting_duration=excluded.agents_chatting_duration
    ,visitor_user_agent=excluded.visitor_user_agent
    ,group_status_at_start=excluded.group_status_at_start
    ,visitor_country_code=excluded.visitor_country_code
    ,Etl_Batch_No=excluded.Etl_Batch_No
    ,Etl_First_Dt=excluded.Etl_First_Dt
    ,Etl_Job=excluded.Etl_Job
    ,Etl_Proc_Dt=excluded.Etl_Proc_Dt
    ,Etl_Tx_Dt=excluded.Etl_Tx_Dt
    ,Src_Sysname=excluded.Src_Sysname
    ,Src_Table=excluded.Src_Table
    

;
/*****程序结束退出                                               */
\q

